import { CatalogTableRow } from './types';
import { TableColumn } from '@backstage/core-components';
/** @public */
export declare const columnFactories: Readonly<{
    createNameColumn(options?: {
        defaultKind?: string;
    }): TableColumn<CatalogTableRow>;
    createSystemColumn(): TableColumn<CatalogTableRow>;
    createOwnerColumn(): TableColumn<CatalogTableRow>;
    createSpecTargetsColumn(): TableColumn<CatalogTableRow>;
    createSpecTypeColumn(options?: {
        hidden: boolean;
    }): TableColumn<CatalogTableRow>;
    createSpecLifecycleColumn(): TableColumn<CatalogTableRow>;
    createMetadataDescriptionColumn(): TableColumn<CatalogTableRow>;
    createTagsColumn(): TableColumn<CatalogTableRow>;
    createTitleColumn(options?: {
        hidden?: boolean;
    }): TableColumn<CatalogTableRow>;
    createLabelColumn(key: string, options?: {
        title?: string;
        defaultValue?: string;
    }): TableColumn<CatalogTableRow>;
    createNamespaceColumn(): TableColumn<CatalogTableRow>;
}>;
